Emgmbh\MarketBundle\Entity\MarketResponsibility:
    type: entity
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY

    fields:
        updatedAt:
            type: datetime
            gedmo:
                timestampable:
                    on: update

    oneToOne:
        market:
            targetEntity: Emgmbh\MarketBundle\Entity\Market
            inversedBy: responsibility
            joinColumns:
                market_number:
                    referencedColumnName: number

    manyToOne:
        user:
           targetEntity: Emgmbh\UserBundle\Entity\User
           cascade: {  }
           fetch: LAZY
           mappedBy: null
           inversedBy: null
           orphanRemoval: false
           nullable: true

        districtLeader:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        leader:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader1:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader2:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader3:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader4:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader5:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader6:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader7:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader8:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

        deputyLeader9:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true

    oneToMany:
        workers:
            targetEntity: Emgmbh\MarketBundle\Entity\MarketResponsibilityWorker
            mappedBy: responsibility
            orderBy: {'id': 'DESC'}